Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network89.6.136.0/21
Usable hosts2,046
Subnet mask255.255.248.0
Addresses2,048
Network address
89.6.136.0
Broadcast address
89.6.143.255
First usable
89.6.136.1
Last usable
89.6.143.254
Usable hosts
2,046 (2,048 less the network and broadcast addresses)
Subnet mask
255.255.248.0
Wildcard mask
0.0.7.255 (Cisco ACLs, OSPF)
Prefix length
/21
Type
Public public
Old class
A (default /8)
As numbers
Hex 59068800 · Integer 1493600256 to 1493602303
Reverse DNS zones
136.6.89.in-addr.arpa
137.6.89.in-addr.arpa
138.6.89.in-addr.arpa
139.6.89.in-addr.arpa
140.6.89.in-addr.arpa
141.6.89.in-addr.arpa
142.6.89.in-addr.arpa
143.6.89.in-addr.arpa
/21 is not on a 8-bit boundary, so it takes 8 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011001.00000110.10001000.0000000089.6.136.0
Subnet mask11111111.11111111.11111000.00000000255.255.248.0
Network01011001.00000110.10001000.0000000089.6.136.0
Broadcast01011001.00000110.10001111.1111111189.6.143.255
Split into smaller subnets/28

89.6.136.0/21 makes 128 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
189.6.136.0/2889.6.136.1 to 89.6.136.1489.6.136.1514
289.6.136.16/2889.6.136.17 to 89.6.136.3089.6.136.3114
389.6.136.32/2889.6.136.33 to 89.6.136.4689.6.136.4714
489.6.136.48/2889.6.136.49 to 89.6.136.6289.6.136.6314
589.6.136.64/2889.6.136.65 to 89.6.136.7889.6.136.7914
689.6.136.80/2889.6.136.81 to 89.6.136.9489.6.136.9514
789.6.136.96/2889.6.136.97 to 89.6.136.11089.6.136.11114
889.6.136.112/2889.6.136.113 to 89.6.136.12689.6.136.12714
989.6.136.128/2889.6.136.129 to 89.6.136.14289.6.136.14314
1089.6.136.144/2889.6.136.145 to 89.6.136.15889.6.136.15914
1189.6.136.160/2889.6.136.161 to 89.6.136.17489.6.136.17514
1289.6.136.176/2889.6.136.177 to 89.6.136.19089.6.136.19114
1389.6.136.192/2889.6.136.193 to 89.6.136.20689.6.136.20714
1489.6.136.208/2889.6.136.209 to 89.6.136.22289.6.136.22314
1589.6.136.224/2889.6.136.225 to 89.6.136.23889.6.136.23914
1689.6.136.240/2889.6.136.241 to 89.6.136.25489.6.136.25514
1789.6.137.0/2889.6.137.1 to 89.6.137.1489.6.137.1514
1889.6.137.16/2889.6.137.17 to 89.6.137.3089.6.137.3114
1989.6.137.32/2889.6.137.33 to 89.6.137.4689.6.137.4714
2089.6.137.48/2889.6.137.49 to 89.6.137.6289.6.137.6314
2189.6.137.64/2889.6.137.65 to 89.6.137.7889.6.137.7914
2289.6.137.80/2889.6.137.81 to 89.6.137.9489.6.137.9514
2389.6.137.96/2889.6.137.97 to 89.6.137.11089.6.137.11114
2489.6.137.112/2889.6.137.113 to 89.6.137.12689.6.137.12714
2589.6.137.128/2889.6.137.129 to 89.6.137.14289.6.137.14314
2689.6.137.144/2889.6.137.145 to 89.6.137.15889.6.137.15914
2789.6.137.160/2889.6.137.161 to 89.6.137.17489.6.137.17514
2889.6.137.176/2889.6.137.177 to 89.6.137.19089.6.137.19114
2989.6.137.192/2889.6.137.193 to 89.6.137.20689.6.137.20714
3089.6.137.208/2889.6.137.209 to 89.6.137.22289.6.137.22314
3189.6.137.224/2889.6.137.225 to 89.6.137.23889.6.137.23914
3289.6.137.240/2889.6.137.241 to 89.6.137.25489.6.137.25514
3389.6.138.0/2889.6.138.1 to 89.6.138.1489.6.138.1514
3489.6.138.16/2889.6.138.17 to 89.6.138.3089.6.138.3114
3589.6.138.32/2889.6.138.33 to 89.6.138.4689.6.138.4714
3689.6.138.48/2889.6.138.49 to 89.6.138.6289.6.138.6314
3789.6.138.64/2889.6.138.65 to 89.6.138.7889.6.138.7914
3889.6.138.80/2889.6.138.81 to 89.6.138.9489.6.138.9514
3989.6.138.96/2889.6.138.97 to 89.6.138.11089.6.138.11114
4089.6.138.112/2889.6.138.113 to 89.6.138.12689.6.138.12714
4189.6.138.128/2889.6.138.129 to 89.6.138.14289.6.138.14314
4289.6.138.144/2889.6.138.145 to 89.6.138.15889.6.138.15914
4389.6.138.160/2889.6.138.161 to 89.6.138.17489.6.138.17514
4489.6.138.176/2889.6.138.177 to 89.6.138.19089.6.138.19114
4589.6.138.192/2889.6.138.193 to 89.6.138.20689.6.138.20714
4689.6.138.208/2889.6.138.209 to 89.6.138.22289.6.138.22314
4789.6.138.224/2889.6.138.225 to 89.6.138.23889.6.138.23914
4889.6.138.240/2889.6.138.241 to 89.6.138.25489.6.138.25514
4989.6.139.0/2889.6.139.1 to 89.6.139.1489.6.139.1514
5089.6.139.16/2889.6.139.17 to 89.6.139.3089.6.139.3114
5189.6.139.32/2889.6.139.33 to 89.6.139.4689.6.139.4714
5289.6.139.48/2889.6.139.49 to 89.6.139.6289.6.139.6314
5389.6.139.64/2889.6.139.65 to 89.6.139.7889.6.139.7914
5489.6.139.80/2889.6.139.81 to 89.6.139.9489.6.139.9514
5589.6.139.96/2889.6.139.97 to 89.6.139.11089.6.139.11114
5689.6.139.112/2889.6.139.113 to 89.6.139.12689.6.139.12714
5789.6.139.128/2889.6.139.129 to 89.6.139.14289.6.139.14314
5889.6.139.144/2889.6.139.145 to 89.6.139.15889.6.139.15914
5989.6.139.160/2889.6.139.161 to 89.6.139.17489.6.139.17514
6089.6.139.176/2889.6.139.177 to 89.6.139.19089.6.139.19114
6189.6.139.192/2889.6.139.193 to 89.6.139.20689.6.139.20714
6289.6.139.208/2889.6.139.209 to 89.6.139.22289.6.139.22314
6389.6.139.224/2889.6.139.225 to 89.6.139.23889.6.139.23914
6489.6.139.240/2889.6.139.241 to 89.6.139.25489.6.139.25514
6589.6.140.0/2889.6.140.1 to 89.6.140.1489.6.140.1514
6689.6.140.16/2889.6.140.17 to 89.6.140.3089.6.140.3114
6789.6.140.32/2889.6.140.33 to 89.6.140.4689.6.140.4714
6889.6.140.48/2889.6.140.49 to 89.6.140.6289.6.140.6314
6989.6.140.64/2889.6.140.65 to 89.6.140.7889.6.140.7914
7089.6.140.80/2889.6.140.81 to 89.6.140.9489.6.140.9514
7189.6.140.96/2889.6.140.97 to 89.6.140.11089.6.140.11114
7289.6.140.112/2889.6.140.113 to 89.6.140.12689.6.140.12714
7389.6.140.128/2889.6.140.129 to 89.6.140.14289.6.140.14314
7489.6.140.144/2889.6.140.145 to 89.6.140.15889.6.140.15914
7589.6.140.160/2889.6.140.161 to 89.6.140.17489.6.140.17514
7689.6.140.176/2889.6.140.177 to 89.6.140.19089.6.140.19114
7789.6.140.192/2889.6.140.193 to 89.6.140.20689.6.140.20714
7889.6.140.208/2889.6.140.209 to 89.6.140.22289.6.140.22314
7989.6.140.224/2889.6.140.225 to 89.6.140.23889.6.140.23914
8089.6.140.240/2889.6.140.241 to 89.6.140.25489.6.140.25514
8189.6.141.0/2889.6.141.1 to 89.6.141.1489.6.141.1514
8289.6.141.16/2889.6.141.17 to 89.6.141.3089.6.141.3114
8389.6.141.32/2889.6.141.33 to 89.6.141.4689.6.141.4714
8489.6.141.48/2889.6.141.49 to 89.6.141.6289.6.141.6314
8589.6.141.64/2889.6.141.65 to 89.6.141.7889.6.141.7914
8689.6.141.80/2889.6.141.81 to 89.6.141.9489.6.141.9514
8789.6.141.96/2889.6.141.97 to 89.6.141.11089.6.141.11114
8889.6.141.112/2889.6.141.113 to 89.6.141.12689.6.141.12714
8989.6.141.128/2889.6.141.129 to 89.6.141.14289.6.141.14314
9089.6.141.144/2889.6.141.145 to 89.6.141.15889.6.141.15914
9189.6.141.160/2889.6.141.161 to 89.6.141.17489.6.141.17514
9289.6.141.176/2889.6.141.177 to 89.6.141.19089.6.141.19114
9389.6.141.192/2889.6.141.193 to 89.6.141.20689.6.141.20714
9489.6.141.208/2889.6.141.209 to 89.6.141.22289.6.141.22314
9589.6.141.224/2889.6.141.225 to 89.6.141.23889.6.141.23914
9689.6.141.240/2889.6.141.241 to 89.6.141.25489.6.141.25514
9789.6.142.0/2889.6.142.1 to 89.6.142.1489.6.142.1514
9889.6.142.16/2889.6.142.17 to 89.6.142.3089.6.142.3114
9989.6.142.32/2889.6.142.33 to 89.6.142.4689.6.142.4714
10089.6.142.48/2889.6.142.49 to 89.6.142.6289.6.142.6314
10189.6.142.64/2889.6.142.65 to 89.6.142.7889.6.142.7914
10289.6.142.80/2889.6.142.81 to 89.6.142.9489.6.142.9514
10389.6.142.96/2889.6.142.97 to 89.6.142.11089.6.142.11114
10489.6.142.112/2889.6.142.113 to 89.6.142.12689.6.142.12714
10589.6.142.128/2889.6.142.129 to 89.6.142.14289.6.142.14314
10689.6.142.144/2889.6.142.145 to 89.6.142.15889.6.142.15914
10789.6.142.160/2889.6.142.161 to 89.6.142.17489.6.142.17514
10889.6.142.176/2889.6.142.177 to 89.6.142.19089.6.142.19114
10989.6.142.192/2889.6.142.193 to 89.6.142.20689.6.142.20714
11089.6.142.208/2889.6.142.209 to 89.6.142.22289.6.142.22314
11189.6.142.224/2889.6.142.225 to 89.6.142.23889.6.142.23914
11289.6.142.240/2889.6.142.241 to 89.6.142.25489.6.142.25514
11389.6.143.0/2889.6.143.1 to 89.6.143.1489.6.143.1514
11489.6.143.16/2889.6.143.17 to 89.6.143.3089.6.143.3114
11589.6.143.32/2889.6.143.33 to 89.6.143.4689.6.143.4714
11689.6.143.48/2889.6.143.49 to 89.6.143.6289.6.143.6314
11789.6.143.64/2889.6.143.65 to 89.6.143.7889.6.143.7914
11889.6.143.80/2889.6.143.81 to 89.6.143.9489.6.143.9514
11989.6.143.96/2889.6.143.97 to 89.6.143.11089.6.143.11114
12089.6.143.112/2889.6.143.113 to 89.6.143.12689.6.143.12714
12189.6.143.128/2889.6.143.129 to 89.6.143.14289.6.143.14314
12289.6.143.144/2889.6.143.145 to 89.6.143.15889.6.143.15914
12389.6.143.160/2889.6.143.161 to 89.6.143.17489.6.143.17514
12489.6.143.176/2889.6.143.177 to 89.6.143.19089.6.143.19114
12589.6.143.192/2889.6.143.193 to 89.6.143.20689.6.143.20714
12689.6.143.208/2889.6.143.209 to 89.6.143.22289.6.143.22314
12789.6.143.224/2889.6.143.225 to 89.6.143.23889.6.143.23914
12889.6.143.240/2889.6.143.241 to 89.6.143.25489.6.143.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses